Debian Bug report logs - #604482
Preparations for the removal of the KDE3 and Qt3 libraries

version graph

Package: src:gmod; Maintainer for src:gmod is Riku Voipio <riku.voipio@iki.fi>;

Reported by: Eckhart Wörner <ewoerner@kde.org>

Date: Mon, 22 Nov 2010 14:45:05 UTC

Severity: important

Tags: sid, wheezy

Fixed in version gmod/3.1-14

Done: Riku Voipio <riku.voipio@linaro.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Riku Voipio <riku.voipio@iki.fi>:
Bug#604482; Package src:gmod. (Mon, 22 Nov 2010 14:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
New Bug report received and forwarded. Copy sent to Riku Voipio <riku.voipio@iki.fi>. (Mon, 22 Nov 2010 14:45:07 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: maintonly@bugs.debian.org
Subject: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Mon, 22 Nov 2010 15:42:35 +0100
Source: gmod
Severity: wishlist
User: debian-qt-kde@lists.debian.org
Usertags: qt3libs-removal


Dear maintainer,

The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
will finish since both KDE and Nokia upstream don't maintain the old versions 
of those libraries anymore.

In order to make this move, all packages directly or indirectly depending on 
the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
port of your application
- if there are no activities regarding porting, investigate whether there are 
suitable alternatives for your users
- if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
- if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
archives, consider removing the KDE3/Qt3 version

Documentation on how to port to KDE4 can be found at:
http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide

Documentation on how to port to Qt4 can be found at:
http://doc.qt.nokia.com/4.7/porting4.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE 
team at debian-qt-kde@lists.debian.org

Eckhart




Severity set to 'serious' from 'wishlist' Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:28:25 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 10 Feb 2011 19:34:24 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:36:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Riku Voipio <riku.voipio@iki.fi>:
Bug#604482; Package src:gmod. (Fri, 18 May 2012 23:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Riku Voipio <riku.voipio@iki.fi>. (Fri, 18 May 2012 23:45:02 GMT) Full text and rfc822 format available.

Message #16 received at 604482@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 604482@bugs.debian.org
Subject: Re: Bug#604482: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sat, 19 May 2012 01:43:03 +0200
On Mon, Nov 22, 2010 at 03:42:35PM +0100, Eckhart Wörner wrote:
> Source: gmod
> Severity: wishlist
> User: debian-qt-kde@lists.debian.org
> Usertags: qt3libs-removal
> 
> 
> Dear maintainer,
> 
> The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
> Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
> will finish since both KDE and Nokia upstream don't maintain the old versions 
> of those libraries anymore.
> 
> In order to make this move, all packages directly or indirectly depending on 
> the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
> removed from the Debian repositories.
> 
> Therefore, please take the time and:
> - contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
> port of your application
> - if there are no activities regarding porting, investigate whether there are 
> suitable alternatives for your users
> - if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
> - if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
> archives, consider removing the KDE3/Qt3 version
> 
> Documentation on how to port to KDE4 can be found at:
> http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide
> 
> Documentation on how to port to Qt4 can be found at:
> http://doc.qt.nokia.com/4.7/porting4.html
>

Hello maintainers,

One year and a half later, it is about time to remove Qt3.
In the case of gmod, could you please drop from your binaries the tools
using Qt3 (xgmod)?

Thanks,
 Ana





Reply sent to Riku Voipio <riku.voipio@linaro.org>:
You have taken responsibility. (Mon, 28 May 2012 15:21:10 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Mon, 28 May 2012 15:21:10 GMT) Full text and rfc822 format available.

Message #21 received at 604482-close@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@linaro.org>
To: 604482-close@bugs.debian.org
Subject: Bug#604482: fixed in gmod 3.1-14
Date: Mon, 28 May 2012 15:18:38 +0000
Source: gmod
Source-Version: 3.1-14

We believe that the bug you reported is fixed in the latest version of
gmod, which is due to be installed in the Debian FTP archive:

gmod_3.1-14.diff.gz
  to main/g/gmod/gmod_3.1-14.diff.gz
gmod_3.1-14.dsc
  to main/g/gmod/gmod_3.1-14.dsc
gmod_3.1-14_i386.deb
  to main/g/gmod/gmod_3.1-14_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604482@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Riku Voipio <riku.voipio@linaro.org> (supplier of updated gmod package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 28 May 2012 17:08:44 +0300
Source: gmod
Binary: gmod
Architecture: source i386
Version: 3.1-14
Distribution: unstable
Urgency: low
Maintainer: Riku Voipio <riku.voipio@iki.fi>
Changed-By: Riku Voipio <riku.voipio@linaro.org>
Description: 
 gmod       - Module player for Ultrasound and SB AWE soundcards
Closes: 604482
Changes: 
 gmod (3.1-14) unstable; urgency=low
 .
   * The "maybe this package still works" Release
   * Remove QT3 based xgmod package, closes: #604482
Checksums-Sha1: 
 bbc30521a368142ae4c26c42de5c24c016500b8d 999 gmod_3.1-14.dsc
 885381542925fd6b320687a8b92e226ab775103c 15810 gmod_3.1-14.diff.gz
 eed4e7cddc85d7c4d0b596d3fbfb07e6af751abf 52156 gmod_3.1-14_i386.deb
Checksums-Sha256: 
 7aeedafa606dcc8a5e67777fbda2cec35a2f131a349dc790994d10dff0918b48 999 gmod_3.1-14.dsc
 34a78c9ccce0d3bf6dc59ef9965a56a520a02d9ab6f8ce3235068d74ec6576e3 15810 gmod_3.1-14.diff.gz
 7aaa7463d8946c95d27e231d20620e73e522fab84f21354753643b0f5b4a0956 52156 gmod_3.1-14_i386.deb
Files: 
 a3e76f6fb7857471a0a95acfc2b44043 999 sound optional gmod_3.1-14.dsc
 4f4f2994cfc8b5b56e1a99d770931c07 15810 sound optional gmod_3.1-14.diff.gz
 49f765a85a208414bae1a3597636dcab 52156 sound extra gmod_3.1-14_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFPw4xzibPvMsrqrwMRAqtiAKCjG18y9EIRfK8Vhj8zJqTN5Nnu+wCfUmIE
9ocSb2LflTDVylNmk3v2jdU=
=YuGB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Jul 2012 07:51:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:57:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.